import os

from dbmigrate import DBTestCase


class TestTestCaseRemovesDatabase(DBTestCase):
    
    def tearDown(self):
        super(TestTestCaseRemovesDatabase, self).tearDown()
        databaseFile = self._datasource.filename
        if os.path.exists(databaseFile):
            os.unlink(databaseFile)
            assert False

    def testCreateSchema(self):
        pass


class TestTestCaseRemovesDatabaseWhenFlagIsFalse(DBTestCase):
    
    keepDatabase = False
    
    def tearDown(self):
        super(TestTestCaseRemovesDatabaseWhenFlagIsFalse, self).tearDown()
        databaseFile = self._datasource.filename
        if os.path.exists(databaseFile):
            os.unlink(databaseFile)
            assert False

    def testCreateSchema(self):
        pass
    

class TestTestCaseKeepsDatabaseAround(DBTestCase):
    
    keepDatabase = True
    
    def tearDown(self):
        super(TestTestCaseKeepsDatabaseAround, self).tearDown()
        databaseFile = self._datasource.filename
        assert os.path.exists(databaseFile)
        os.unlink(databaseFile)

    def testCreateSchema(self):
        pass


class TestTestCaseKeepsDatabaseAroundWithTheOtherFlag(DBTestCase):
    
    keep_database = True
    
    def tearDown(self):
        super(TestTestCaseKeepsDatabaseAroundWithTheOtherFlag, self).tearDown()
        databaseFile = self._datasource.filename
        assert os.path.exists(databaseFile)
        os.unlink(databaseFile)

    def testCreateSchema(self):
        pass


class TestWithLocalSpecification(DBTestCase):
    
    scheme = 'postgres'
    admin_user = 'tp'
    admin_pw = ''
    host = 'localhost'
    port = '9999'
    
    def testCreateSchema(self):
        pass

